#include "DataEntry.hpp"

DataEntry::DataEntry(std::string sName, double dValue, float fRed, float fGreen, float fBlue) {
  this->sName = sName;
  this->dValue = dValue;
  vColor = glm::vec4(fRed, fGreen, fBlue, 1.0f);
}

DataEntry::~DataEntry() {
  //
}

std::string DataEntry::GetName() {
  return sName;
}

double DataEntry::GetValue() {
  return dValue;
}

glm::vec4 DataEntry::GetColor() {
  return vColor;
}